Open Infrastructure - Task #7026

place9 hacking for getting ceph + netboot running
08/02/2019 01:56 PM - Nico Schottelius

Status: Closed Start date: 08/02/2019
Priority: High Due date:

Assignee: Il nu % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

configure switches to put copper ports into internal vlan 22
Setup 2nd router
Configure vlan tagging
Install dhcpv4 for netboot
Create netboot image
Setup http server for loading netboot image
Boot servers with ceph
Add servers into dns
Setup and connect IPMI interfaces
Verify BIOS settings
Setup all switch ports for all servers:
o Create channel groups / mlags on ports 1-16

History

#1 - 08/02/2019 01:57 PM - Nico Schottelius

- Description updated

#2 - 08/02/2019 01:59 PM - Nico Schottelius

Configuring port of mikrotik switch:

switch2-place9 (config) #interface ethernet 19
switch2-place9 (config-if-Et19) #switchport access vlan 22
! Access VLAN does not exist. Creating vlan 22
switch2-place9 (config-if-Et19) #vlan 22

switch2-place9 (config-vlan-22) #name place9-internal
switch2-place9 (config-vlan-22) #write

Copy completed successfully.

switch2-place9 (config-vlan-22) #

#3 - 08/02/2019 02:00 PM - Nico Schottelius
getting lldp to find out where we are:
0x06:/etc/network# apk add 1lldpd

0x06:/etc/network# /etc/init.d/1lldpd start
0x06:/etc/network# 1lldpcli show neigh

Interface: eth4, via: LLDP, RID: 2, Time: 0 day, 00:00:04
Chassis:
ChassisID: mac 00:1c:73:c8:ba:cb
SysName: switchl-place?9
SysDescr: Arista Networks EOS version 4.18.6M running on an Arista Networks DCS-7050S-52
Mgmt IP: 10.3.4.27
Capability: Bridge, on
Capability: Router, on
Port:
PortID: ifname Ethernetl5
TTL: 120
Interface: eth5, via: LLDP, RID: 1, Time: 0 day, 00:00:04

Chassis:
ChassisID: mac 00:1c:73:92:39:a7
SysName: switch2-place?9
SysDescr: Arista Networks EOS version 4.18.6M running on an Arista Networks DCS-7050S-52
MgmtIP: 10.3.4.28
Capability: Bridge, on
Capability: Router, on
Port:
PortID: ifname Ethernetl5
TTL: 120

0x06:/etc/network#

#4 - 08/02/2019 02:01 PM - Nico Schottelius
- Description updated

#5 - 08/02/2019 02:02 PM - Nico Schottelius
- Description updated

#6 - 08/02/2019 02:03 PM - Nico Schottelius
- Description updated

#7 - 08/02/2019 02:14 PM - Nico Schottelius
- Description updated

#8 - 08/02/2019 07:34 PM - Il nu

dnsmasq:

switch2 port 19

switchport access vlan 22

ip addr add 192.168.0.1/24 dev bond0.22

#9 - 08/05/2019 04:50 PM - Il nu

using this
https://blog.skunkwOrks.io/blog/2018/09/03/pxe-boot-alpine-linux-pt.-1/

could be useful: h
/etc/lighttpd/lighttpd.conf default plus the following modified to :
server.document-root = "/srv/pxe"

router1:/srv/pxe# cat /etc/dnsmasq.conf
interface=bond0.22
dhcp-range=192.168.0.50,192.168.0.150,12h
enable-tftp

tftp-root=/srv/pxe/

router1:/srv/pxe# tree

—— gpxe.kpxe
—— initramfs-vanilla

F——pxe
|  L—— gpxe-script
L— vmlinuz-vanilla
alpine boots but kernel panic
#10 - 08/08/2019 01:09 PM - Il nu

| dont know how | instruct the system to load everyting to ramfs, because | havent seen extra parameters for it in our existing ipxescript configuration,
fstab, rc.local, (maybe rcS. have relevant stuff)

Il try to reach out today, first on irc.

#11 - 08/08/2019 01:18 PM - Nico Schottelius
https://blog.skunkw0rks.io/blog/2018/09/03/pxe-boot-alpine-linux-pt.-1/
https://blog.haschek.at/2019/build-your-own-datacenter-with-pxe-and-alpine.html

fstab can be empty
rc.local can be empty

redmine@ungleich.ch writes:

#12 - 08/12/2019 04:29 PM - Il nu
- File kernelpanicVFS.png added
ill try to unpack an alpine iso to see how does it boot to ramfs

#13 - 08/15/2019 10:49 AM - Il nu

update:
dhcpv6 netbooting with ipxe usb sticks is the current approach

#14 - 08/15/2019 11:28 AM - Nico Schottelius

Please document it and transfer the knowledge of how to create the usb
sticks to Sami (i.e. document first, have Sami try it and use it)

Also port the dhcpv6 configuration into cdist

redmine@ungleich.ch writes:

#15 - 08/26/2019 01:12 PM - Il nu
- Priority changed from Normal to High

#16 - 08/27/2019 08:23 PM - Il nu

/[funfinished

git clone git:/git.ipxe.org/ipxe.qgit

cd ipxe/src/

vi config/general.h

should look like this:

#define NET_PROTO_IPV4 /* IPv4 protocol /

#define NET_PROTO_IPV6 / 1Pv6 protocol /
#undef NET_PROTO_FCOE / Fibre Channel over Ethernet protocol */ <--- maybe change for fiber booting

vi config/console.h
#define CONSOLE_SERIAL

make bin/ipxe.iso

#17 - 08/30/2019 11:04 AM - Nico Schottelius

ipxe related:
I'd even enable

e #define  DOWNLOAD_PROTO_HTTPS
¢ #define REBOOT_CMD

¢ #define POWEROFF_CMD

¢ #define PING_CMD

and for usb boot:

make bin/ipxe.usb
sudo dd if=bin/ipxe.usb of=/dev/sdb

Setting up host config:

root@line:~# ip addr add 2a0a:e5cl:101:b00d::42/64 dev enx801£f02d64c51
root@line:/etc# sysctl -w net.ipvé6.conf.all.forwarding=1
root@line:/etc# cat radvd.conf
interface enx801£02d64c51
{

AdvSendAdvert on;

MinRtrAdvInterval 3;

MaxRtrAdvInterval 10;

AdvDefaultLifetime 600;

# clients should check dhcp
AdvOtherConfigFlag on;

prefix 2ala:e5c1:101:b00d::/64 { };

RDNSS 2a0a:ebc0:2:1::5 2ala:e5c0:2:1::6 { AdvRDNSSLifetime 6000; };
DNSSL nico.ungleich.cloud { AdvDNSSLLifetime 6000; 1} ;
bi

root@line:/etc/dhcp# cat dhcpdé6.conf

option dhcp6.user-class code 15 = string;

option dhcp6.bootfile-url code 59 = string;

option dhcp6.client-arch-type code 61 = array of unsigned integer 16;

option dhcp6.name-servers 2ala:e5c0::3;
if exists dhcpé6.client-arch-type and

option dhcp6.client-arch-type = 00:07 {

option dhcp6.bootfile-url "http://[2al0a:e5c0:2:1::5]/ipxescript";
} else if exists dhcp6.user-class and

substring (option dhcpé6.user-class, 2, 4) = "iPXE" {

option dhcp6.bootfile-url "http://[2al0a:e5c0:2:1::5]/ipxescript";
subnet6 2a0a:e5cl:101:b00d::/64 {}
With above settings the notebook next to me boots usb->ipxe->ipvéonly

#18 - 08/30/2019 11:49 AM - Nico Schottelius

Note: we can/should remove the if clause, the first block is not needed

#19 - 12/09/2019 11:54 AM - Il nu

- Status changed from In Progress to Closed
